const gulp = require("gulp");
const babel = require("gulp-babel");
const uglify = require("gulp-uglify");
const rename = require("gulp-rename");
const header = require("gulp-header");

const pkg = require("./package.json");
const banner = [
    "/**",
    " * <%= pkg.name %> - <%= pkg.description %>",
    " * @version v<%= pkg.version %>",
    " * @link <%= pkg.homepage %>",
    " * @license <%= pkg.license %>",
    " */"
].join("\n");

gulp.task("build", function () {
    gulp.src("src/minifocus.js")
        .pipe(babel({ presets: ["es2015"] }))
        .pipe(uglify())
        .pipe(header(banner, { pkg: pkg }))
        .pipe(rename("minifocus.min.js"))
        .pipe(gulp.dest("dist/"));
});